com.h3c.of.lib.mp

## Class MBodyMutableMeterRequest

- java.lang.Object
- - com.h3c.of.lib.OpenflowStructure
  - - com.h3c.of.lib.mp.MBodyMeterRequest
    - - com.h3c.of.lib.mp.MBodyMutableMeterRequest

- All Implemented Interfaces:
    MultipartBody, MutableObject, MutableStructure, Structure
  Direct Known Subclasses:
    MBodyMutableMeterConfigRequest, MBodyMutableMeterStatsRequest

      public abstract class MBodyMutableMeterRequest
      extends MBodyMeterRequest
      implements MutableStructure

  Base class for mutable subclass of `MBodyMeterRequest`.

  Used by the `MBodyMutableMeterStatsRequest`.

- - ### Field Summary

    - ### Fields inherited from class com.h3c.of.lib.OpenflowStructure

      `version`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MBodyMutableMeterRequest` | `meterId(MeterId meterId)` Sets the meter ID; Since 1.3.
    `String` | `toString()`
    `boolean` | `writable()` Returns true if this mutable object is still writable.

    - ### Methods inherited from class com.h3c.of.lib.mp.MBodyMeterRequest

      `getMeterId, getTotalLength, validate`

    - ### Methods inherited from class com.h3c.of.lib.OpenflowStructure

      `getVersion, hex, hex, toDebugString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.h3c.of.lib.MutableStructure

      `toImmutable`

    - ### Methods inherited from interface com.h3c.of.lib.Structure

      `getVersion, toDebugString`

- - ### Method Detail

    - #### writable

          public boolean writable()

      Description copied from interface: `MutableObject`
      Returns true if this mutable object is still writable. That is, the `#toImmutable()` method (defined on a sub-interface) has not yet been invoked.
      Specified by:
        `writable` in interface `MutableObject`
      Returns:
        true if this mutable object is still writable

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `MBodyMeterRequest`

    - #### meterId

          public MBodyMutableMeterRequest meterId(MeterId meterId)

      Sets the meter ID; Since 1.3.
      Parameters:
        `meterId` - the meter ID
      Returns:
        self, for chaining
      Throws:
        `InvalidMutableException` - if this instance is no longer writable
        `VersionMismatchException` - if version is < 1.3
        `NullPointerException` - if meterId is null

Copyright © 2014. All Rights Reserved.